atsopt(1)

NAME
atsopt - ATS to C compiler

SYNOPSIS
atsopt <command>...

DESCRIPTION
atsopt is the compiler from ATS to C. It is most commonly invoked by atscc which is the preferred frontend for compiling ATS code.

COMMANDS
atsopt takes a number of commands with parameters to determine its behavior:

-d, --dynamic <filenames>
    Dynamically load the filenames.

--debug=1
    Enable generation of debugging information.

-dep, --depgen
    Generate dependency lists.

-h, --help
    Print the usage information.

-o, --output <filename>
    Specify the output filename.

--posmark_html
    Generate an HTML file with colored concrete syntax.

--posmark_xref
    Generate an HTML file with syntactic cross-references.

-s, --static <filenames>
    Statically load the filenames.

-tc, --typecheck
    Typecheck the given ATS source files, but go no further.

-v, --version
    Show ATS/Anairiats version and gcc version.

EXAMPLES

atsopt -o test.c -d test.dats

Compile test.dats to a C file.

atsopt -tc -d test.dats

Typecheck test.dats only.

atsopt -o test.html -d test.dats --posmark_html

Write a syntax colored version of test.dats.

SEE ALSO
atscc(1), atslex(1).
These programs are documented fully by The ATS/Anairiats user's manual available via the web at http://www.ats-lang.org/

AUTHOR
atsopt was written by Hongwei Xi.

This manual page was written by Matthew Danish <mrd@debian.org>, for the Debian project (and may be used by others).